#include <iostream>
using namespace std;

int funkcija(int b,int i,int a[]){
    int j;
    for (j=0;j<i;j++){
        if(a[j]==a[i]){
            return 1;
        }
    }
    return 0;
}

main(){
    int n,k,i,j,br=0,p=0;
    cin>>n;
    cin>>k;
    int a[n];
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    for(i=0;i<n;i++){
        for(j=i;j<n;j++){
            if(a[j]==a[i]){
                br++;
            }
        }
        if(br>=k && funkcija(a[i],i,a)==0){
            p++;
            cout<<a[i]<<endl;;
        }
        br=0;
    }
    cout<<p;
}